nagios_host 'elgaronline.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'EEP www.elgaronline.com',
		'address' => 'www.elgaronline.com',
		'contact_groups' => 'cs_escalation',
		'notes' => 'fab eep.restart:app_name=web,environment=prod'
end
nagios_service 'elgaronline.com-Homepage' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Homepage',
		'check_command' => 'check_https!www.elgaronline.com!15!9!',
		'notes' => 'fab eep.restart:app_name=web,environment=prod'
end
nagios_service 'elgaronline.com-Browse' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Browse',
		'contact_groups' => 'cs_escalation.eep',
		'check_command' => 'https_content_check!\'/browse\'!10!15!\'You are looking at\'!',
		'notes' => 'fab eep.restart:app_name=web,environment=prod'
end
nagios_service 'elgaronline.com-Search' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Search',
		'contact_groups' => 'cs_escalation',
		'check_command' => 'https_content_check!\'/search?q=ethics&searchBtn=Search\'!10!15!\'Ethics\'!',
		'notes' => 'fab eep.restart:app_name=web,environment=prod'
end
nagios_service 'elgaronline.com-AMS' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elgaronline.com',
		'display_name' => 'AMS',
		'contact_groups' => 'cs_escalation',
		'check_command' => 'check_loader_auth!ams.elgaronline.com!\'/login\'!eep:eep2012!AMS!12!8!',
		'notes' => 'fab eep.restart:app_name=amx,environment=prod'
end

#------------------------------------------------------------------------------------
# FAIL OPEN
# Checks the production homepage and makes sure we're not in fail open by checking
# that the string "Provisional Account" is NOT in the page.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'www.elgaronline.com-Live Site Fail Open' do
        options 'use' => 'sbo-service-pf',
                'host_name' => 'elgaronline.com',
                'display_name' => 'Live Site Fail Open',
                'check_command' => 'http_negate_content_check_basic_auth!elgaronline.com!eep_aws:eep2016!"provisional account"',
                'contact_groups' => 'cs_escalation',
                'notes' => 'EEP Live Site Failopen',
                'notes_url' => 'www.elgaronline.com'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (Webbot-1)
# Checks the homepage of the live elgaronline site on the bot web node and checks for the string 'Elgar'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live Homepage: eepsg-webbot-1 bot node' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live Homepage: eepsg-webbot-1',
		'check_command' => 'https_content_check_basic_auth_single_node_bot!eepsg:eepsg2021!/!Elgar!10!20!eepsg-webbot-1-live!eepsg-webbot-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'eepsg Site: eepsg-webbot-1',
		'notes_url' => 'https://www.elgaronline.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (Webbot-1)
# Checks the search of the live avmajournals.avma site on the first bot web node and checks for the string 'Browse'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live Search: eepsg-webbot-1 bot node' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live Search: eepsg-webbot-1',
		'check_command' => 'https_content_check_basic_auth_single_node_bot!eepsg:eepsg2021!/search!Browse!10!20!eepsg-webbot-1-live!eepsg-webbot-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'eepsg Site: eepsg-webbot-1',
		'notes_url' => 'https://www.elgaronline.com/'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW (Webbot-1)
# checks the content view of the live eepsg site on the first web node and checks for the string 'Bristol University'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live content view: eepsg-webbot-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live content view: eepsg-webbot-1',
		'check_command' => 'https_content_check_basic_auth_single_node_bot!eepsg:eepsg2021!/view/book/9781788977319/9781788977319.xml!Human!10!20!eepsg-webbot-1-live!eepsg-webbot-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'Elgar Live Site: eepsg-webbot-1',
		'notes_url' => 'https://elgaronline.com/view/book/9781788977319/9781788977319.xml'
end

#------------------------------------------------------------------------------------
# HOMEPAGE (web-1)
# Checks the homepage of the live elgaronline site on the  web node and checks for the string 'Elgar'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live Homepage: eepsg-web-1  node' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live Homepage: eepsg-web-1',
		'check_command' => 'https_content_check_basic_auth_single_node!eepsg:eepsg2021!/!Elgar!10!20!eepsg-web-1-live!eepsg-web-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'eepsg Site: eepsg-web-1',
		'notes_url' => 'https://www.elgaronline.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (web-1)
# Checks the search of the live avmajournals.avma site on the first  web node and checks for the string 'Browse'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live Search: eepsg-web-1  node' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live Search: eepsg-web-1',
		'check_command' => 'https_content_check_basic_auth_single_node!eepsg:eepsg2021!/search!Browse!10!20!eepsg-web-1-live!eepsg-web-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'eepsg Site: eepsg-web-1',
		'notes_url' => 'https://www.elgaronline.com/'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW (web-1)
# checks the content view of the live eepsg site on the first web node and checks for the string 'Bristol University'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live content view: eepsg-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live content view: eepsg-web-1',
		'check_command' => 'https_content_check_basic_auth_single_node!eepsg:eepsg2021!/view/book/9781788977319/9781788977319.xml!Human!10!20!eepsg-web-1-live!eepsg-web-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'Elgar Live Site: eepsg-web-1',
		'notes_url' => 'https://elgaronline.com/view/book/9781788977319/9781788977319.xml'
end

#------------------------------------------------------------------------------------
# HOMEPAGE (web-2)
# Checks the homepage of the live elgaronline site on the  web node and checks for the string 'Elgar'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live Homepage: eepsg-web-2  node' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live Homepage: eepsg-web-2',
		'check_command' => 'https_content_check_basic_auth_single_node!eepsg:eepsg2021!/!Elgar!10!20!eepsg-web-2-live!eepsg-web-2.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'eepsg Site: eepsg-web-2',
		'notes_url' => 'https://www.elgaronline.com/'
end
#------------------------------------------------------------------------------------
# SEARCH (web-2)
# Checks the search of the live avmajournals.avma site on the first  web node and checks for the string 'Browse'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live Search: eepsg-web-2  node' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live Search: eepsg-web-2',
		'check_command' => 'https_content_check_basic_auth_single_node!eepsg:eepsg2021!/search!Browse!10!20!eepsg-web-2-live!eepsg-web-2.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'eepsg Site: eepsg-web-2',
		'notes_url' => 'https://www.elgaronline.com/'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW (web-2)
# checks the content view of the live eepsg site on the first web node and checks for the string 'Bristol University'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elgaronline.com-Live content view: eepsg-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Live content view: eepsg-web-2',
		'check_command' => 'https_content_check_basic_auth_single_node!eepsg:eepsg2021!/view/book/9781788977319/9781788977319.xml!Human!10!20!eepsg-web-2-live!eepsg-web-2.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only',
		'notes' => 'Elgar Live Site: eepsg-web-2',
		'notes_url' => 'https://elgaronline.com/view/book/9781788977319/9781788977319.xml'
end

